# Generated by Django 5.1.6 on 2025-03-05 02:19

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [('eveonline', '0001_initial'), ('eveonline', '0002_remove_eveapikeypair_error_count'), ('eveonline', '0003_auto_20161026_0149'), ('eveonline', '0004_eveapikeypair_sso_verified'), ('eveonline', '0005_remove_eveallianceinfo_member_count'), ('eveonline', '0006_allow_null_evecharacter_alliance'), ('eveonline', '0007_unique_id_name'), ('eveonline', '0008_remove_apikeys'), ('eveonline', '0009_on_delete'), ('eveonline', '0010_alliance_ticker'), ('eveonline', '0011_ids_to_integers'), ('eveonline', '0012_index_additions'), ('eveonline', '0013_evecorporationinfo_ceo_id'), ('eveonline', '0014_auto_20210105_1413'), ('eveonline', '0015_factions'), ('eveonline', '0016_character_names_are_not_unique'), ('eveonline', '0017_alliance_and_corp_names_are_not_unique'), ('eveonline', '0018_alter_evecharacter_alliance_name_and_more')]

    initial = True

    dependencies = [
        ('auth', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='EveAllianceInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alliance_id', models.PositiveIntegerField(unique=True)),
                ('alliance_name', models.CharField(db_index=True, max_length=254)),
                ('alliance_ticker', models.CharField(max_length=254)),
                ('executor_corp_id', models.PositiveIntegerField()),
            ],
            options={
                'indexes': [models.Index(fields=['executor_corp_id'], name='eveonline_e_executo_7f3280_idx')],
            },
        ),
        migrations.CreateModel(
            name='EveFactionInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('faction_id', models.PositiveIntegerField(db_index=True, unique=True)),
                ('faction_name', models.CharField(max_length=254, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='EveCorporationInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('corporation_id', models.PositiveIntegerField(unique=True)),
                ('corporation_name', models.CharField(db_index=True, max_length=254)),
                ('corporation_ticker', models.CharField(max_length=254)),
                ('member_count', models.IntegerField()),
                ('alliance', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='eveonline.eveallianceinfo')),
                ('ceo_id', models.PositiveIntegerField(blank=True, default=None, null=True)),
            ],
            options={
                'indexes': [models.Index(fields=['ceo_id'], name='eveonline_e_ceo_id_eea7b8_idx')],
            },
        ),
        migrations.CreateModel(
            name='EveCharacter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('character_id', models.PositiveIntegerField(unique=True)),
                ('character_name', models.CharField(db_index=True, max_length=254)),
                ('corporation_id', models.PositiveIntegerField()),
                ('corporation_name', models.CharField(max_length=254)),
                ('corporation_ticker', models.CharField(max_length=5)),
                ('alliance_id', models.PositiveIntegerField(blank=True, default=None, null=True)),
                ('alliance_name', models.CharField(blank=True, default='', max_length=254, null=True)),
                ('alliance_ticker', models.CharField(blank=True, default='', max_length=5, null=True)),
                ('faction_id', models.PositiveIntegerField(blank=True, default=None, null=True)),
                ('faction_name', models.CharField(blank=True, default='', max_length=254, null=True)),
            ],
            options={
                'indexes': [models.Index(fields=['corporation_id'], name='eveonline_e_corpora_cb4cd9_idx'), models.Index(fields=['alliance_id'], name='eveonline_e_allianc_39ee2a_idx'), models.Index(fields=['corporation_name'], name='eveonline_e_corpora_893c60_idx'), models.Index(fields=['alliance_name'], name='eveonline_e_allianc_63fd98_idx'), models.Index(fields=['faction_id'], name='eveonline_e_faction_d5274e_idx')],
            },
        ),
    ]
