# Generated by Django 5.2.1 on 2025-07-07 04:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('eveonline', '0019_v5squash'),
        ('mumble', '0015_v5squash'),
    ]

    operations = [
        migrations.CreateModel(
            name='IdlerHandler',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Name')),
                ('enabled', models.BooleanField(default=False, verbose_name='Enabled')),
                ('seconds', models.SmallIntegerField(default=3600, verbose_name='Idle Seconds')),
                ('interval', models.SmallIntegerField(default=60, verbose_name='Run Interval')),
                ('channel', models.SmallIntegerField(verbose_name='AFK Channel')),
                ('denylist', models.BooleanField(default=True, help_text='True for DenyList, False for Allowlist', verbose_name='DenyList')),
                ('list', models.CharField(default='', max_length=50, verbose_name='Allow/Deny list')),
            ],
            options={
                'verbose_name': 'Idler Handler',
                'verbose_name_plural': 'Idler Handlers',
                'default_permissions': (),
            },
        ),
        migrations.AlterModelOptions(
            name='mumbleuser',
            options={'permissions': (('access_mumble', 'Can access the Mumble service'), ('view_connection_history', 'Can access the connection history of the Mumble service')), 'verbose_name': 'User', 'verbose_name_plural': 'Users'},
        ),
        migrations.RemoveField(
            model_name='mumbleuser',
            name='display_name',
        ),
        migrations.RemoveField(
            model_name='mumbleuser',
            name='groups',
        ),
        migrations.AlterField(
            model_name='mumbleuser',
            name='certhash',
            field=models.CharField(blank=True, editable=False, help_text='Hash of Mumble client certificate as presented when user authenticates', max_length=254, null=True, verbose_name='Certificate Hash'),
        ),
        migrations.AlterField(
            model_name='mumbleuser',
            name='hashfn',
            field=models.CharField(choices=[('bcrypt-sha256', 'SHA256'), ('sha1', 'SHA1')], default='bcrypt-sha256', max_length=15),
        ),
        migrations.AlterField(
            model_name='mumbleuser',
            name='last_connect',
            field=models.DateTimeField(blank=True, editable=False, help_text='Timestamp of the users Last Connection to Mumble', null=True, verbose_name='Last Connection'),
        ),
        migrations.AlterField(
            model_name='mumbleuser',
            name='last_disconnect',
            field=models.DateTimeField(blank=True, editable=False, help_text='Timestamp of the users Last Disconnection from Mumble', null=True, verbose_name='Last Disconnection'),
        ),
        migrations.AlterField(
            model_name='mumbleuser',
            name='release',
            field=models.TextField(blank=True, editable=False, help_text='Client release. For official releases, this equals the version. For snapshots and git compiles, this will be something else.', null=True, verbose_name='Mumble Release'),
        ),
        migrations.CreateModel(
            name='MumbleServerServer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('ip', models.GenericIPAddressField(default='127.0.0.1', verbose_name='Host IP Address')),
                ('endpoint', models.GenericIPAddressField(default='127.0.0.1', verbose_name='Endpoint IP Address')),
                ('port', models.PositiveSmallIntegerField(default=6502, verbose_name='Port')),
                ('secret', models.CharField(max_length=50, verbose_name='ICE Secret')),
                ('watchdog', models.SmallIntegerField(default=30, verbose_name='Watchdog Interval')),
                ('slice', models.CharField(choices=[('MumbleServer.ice', 'MumbleServer.ice (Mumble >=1.5.17)'), ('Murmur.Ice', 'Murmur.Ice (Mumble <=1.5.17)')], default='MumbleServer.ice', max_length=16)),
                ('virtual_servers', models.CharField(default='1', max_length=50, verbose_name='Virtual Servers')),
                ('avatar_enable', models.BooleanField(default=True, verbose_name='Enable EVE Avatars')),
                ('reject_on_error', models.BooleanField(default=True, verbose_name='Reject Unauthenticated')),
                ('offset', models.IntegerField(default=1000000000, verbose_name='ID Offset')),
                ('idler_handler', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='mumble.idlerhandler', verbose_name='Idler Handler')),
            ],
            options={
                'verbose_name': 'Mumble Server',
                'verbose_name_plural': 'Mumble Servers',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='TempLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('expires', models.DateTimeField(verbose_name='Expiry')),
                ('link_ref', models.CharField(max_length=20)),
                ('creator', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='eveonline.evecharacter')),
            ],
            options={
                'permissions': (('create_new_links', 'Can Create Temp Links'),),
            },
        ),
        migrations.CreateModel(
            name='TempUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('username', models.CharField(max_length=254, unique=True)),
                ('pwhash', models.CharField(max_length=90)),
                ('hashfn', models.CharField(choices=[('bcrypt-sha256', 'SHA256'), ('sha1', 'SHA1')], default='bcrypt-sha256', max_length=15)),
                ('certhash', models.CharField(blank=True, editable=False, help_text='Hash of Mumble client certificate as presented when user authenticates', max_length=254, null=True, verbose_name='Certificate Hash')),
                ('release', models.TextField(blank=True, editable=False, help_text='Client release. For official releases, this equals the version. For snapshots and git compiles, this will be something else.', null=True, verbose_name='Mumble Release')),
                ('version', models.IntegerField(blank=True, editable=False, help_text='Client version. Major version in upper 16 bits, followed by 8 bits of minor version and 8 bits of patchlevel. Version 1.2.3 = 0x010203.', null=True, verbose_name='Mumble Version')),
                ('last_connect', models.DateTimeField(blank=True, editable=False, help_text='Timestamp of the users Last Connection to Mumble', null=True, verbose_name='Last Connection')),
                ('last_disconnect', models.DateTimeField(blank=True, editable=False, help_text='Timestamp of the users Last Disconnection from Mumble', null=True, verbose_name='Last Disconnection')),
                ('expires', models.DateTimeField(verbose_name='Expiry')),
                ('character_id', models.IntegerField(blank=True, default=None, null=True)),
                ('templink', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='mumble.templink')),
            ],
            options={
                'verbose_name': 'Temp User',
                'verbose_name_plural': 'Temp Users',
                'permissions': (),
            },
        ),
    ]
